function    build_up_H1H2_sel = selBuildupAtMixtimes(build_up_H1H2, mixtimes, mixtimes_sel)

c = 1;
    
for j1 = 1:size(mixtimes,2)
    for j2 = 1:size(mixtimes_sel,2)  
        if round(mixtimes(1,j1)*10000)                  == round(mixtimes_sel(1,j2)*10000)
                    
            build_up_H1H2_sel(c)                        = build_up_H1H2(j1);
            
          	c                                           = c + 1;
            
      	end
    end
end